******************************************************************************
*
*       Function:   SIGNAL
*       Usage:      call signal (vms_status)
*       Purpose:    This routine is used everywhere that a non-normal VMS
*                   status code is an error.  It checks to see if the passed
*                   status is normal.  If so, then nothing is done.  Otherwise
*                   the condition is signaled.
*       Output:     An exception is signaled for a non normal status.
*
******************************************************************************

        subroutine signal (stat)
            implicit none

            integer stat
            external lib$signal

            if ((stat .and. 1) .ne. 1) then
                call lib$signal (%val (stat))
            endif
        end
