******************************************************************************
*
*       Function:   BLENGTH
*       Usage:      len = blength(str)
*       Purpose:    This function is used to find the number of none blank
*                   characters that occur at the beginning of a string.
*       Output:     The number of characters at the beginning of 'str' that
*                   are not blanks.
*
******************************************************************************

        integer function blength (str)
            implicit none
            character*(*) str
            integer i

            i = 1
            do while (str(i:i) .gt. ' ')
                i = i + 1
            end do
            blength = i - 1
        end
