*
*       Include the necessary stuff
*
        include '($ssdef)'
        include '($jbcmsgdef)'
        include '($iodef)'
        include '($dvidef)'
        include '($uaidef)'
        include 'smbdef.inc'

*       Number of queues supported by the symbiont

        parameter MAX_STREAMS=20

*       Number of processes that can be active at any given time.  This value
*       should be sufficient unless you make use of the user=user parameter
*       for a very active queue which may leave many idle processes setting
*       around waiting for timeout.

        parameter MAXPROCS=MAX_STREAMS

*       Maximum number of parameters to a DCL procedure.

        parameter MAXPARAMS=8

*       Maximum length of a line in the options file

        parameter LINELEN=132

*       Maximum length a single parameter entry in the CONFIG.DAT file

        parameter OPTLEN=132

*       Really large buffer size used to avoid overflows.

        parameter BUFSIZ=1024

*       Symbiont error logging information.

        parameter ERRUNIT=8
        parameter ERRFILE='CTLSMB$ROOT:[LOG]ERROR.LOG'

*       Configuration file name.

        parameter PARMSFILE='CTLSMB$ROOT:[DAT]CONFIG.DAT'

*       Default SYS$OUTPUT and SYS$ERROR file name.

        parameter INIT_LOG='CTLSMB$ROOT:[LOG]STARTUP.LOG'

*       Things below here you probably don't need to worry about.

        parameter DCL_IMAGE='SYS$SYSTEM:LOGINOUT.EXE'

*       Process deletion notification mailbox base logical name

        parameter DELPRCNAM='CTLSMB$DELPRC_'

*       Allocated size for a quota item list array.

        parameter NUMQUOTAS=14

*       Parameter file parser constants

        parameter AT_EOE=1
        parameter AT_CONT=2
        parameter AT_PARM=3
