******************************************************************************
*
*
*
*
******************************************************************************

        structure /dynam/
            integer*2 length
            byte class
            byte type
            integer*4 address
        end structure
*
*
*
        structure /io_sb/
            integer*2 cond
            integer*2 count
            integer*4 info
        end structure
*
*
*
        structure /acc_rec/
            integer*2 msgtyp
            integer*2 unused_1
            integer*4 estat
            integer*4 pid
            integer*4 unused_2
            integer*4 term_time(1:2)
            character*8 acc_nam
            character*12 user_name
            integer*4 cpu_tim
            integer*4 page_flts
            integer*4 peak_page
            integer*4 peak_work
            integer*4 bio
            integer*4 dio
            integer*4 vol_mnt
            integer*4 log_time(1:2)
            integer*4 owner_pid
        end structure
*
*                             
*
        structure /terminate/
            record /acc_rec/ acc
            integer proc_idx
        end structure
*
*                             
*
        structure /sub_proc/
            integer*4 stream, idx, pid, entry, delta_t(1:2), prio, efn
            integer*4 alloc_ef, uic, sub_uic
            integer*2 mailchan, paramlen(1:MAXPARAMS)
            record /io_sb/ iosb
            character*255 param(1:MAXPARAMS)
            character*20 mboxnam
            character*40 accnam                              
            character*32 username, job_name
            logical*1 avail, started, ready, dying, starting, detached
            logical*1 dedicated
            record /io_sb/ delprciosb
            integer*2 delprchan
            integer*4 delprcmbxno
            character*30 delprcmbx
            record /terminate/ accnt
        end structure
*
*
*
        structure /quota_info/
            byte type
            integer*4 value
        end structure
*
*
*
        structure /stream_info/
            character*32 queue
            character*32 exec_queue
            character*512 fspec, proc_spec
            character*128 outfile, errfile
            character*5 proc_pri
            character*40 user, sub_user
            logical*1 use_sub_user, detached, special
            integer*4 uic, sub_uic, privs(1:2), expire
            integer pause_time, proc_idx
            integer quota_idx
            record /quota_info/ quotas(1:NUMQUOTAS+1)
            record /io_sb/ delprciosb
        end structure
